cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexander Sorokin (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (CB-12606) Cordova fails to install plugin dependency from url
Date Tue, 28 Mar 2017 12:10:41 GMT

     [ https://issues.apache.org/jira/browse/CB-12606?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alexander Sorokin closed CB-12606.
----------------------------------
    Resolution: Fixed

> Cordova fails to install plugin dependency from url
> ---------------------------------------------------
>
>                 Key: CB-12606
>                 URL: https://issues.apache.org/jira/browse/CB-12606
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: cordova-lib
>    Affects Versions: Master
>         Environment: Windows 10, Node 4.5.0, npm 3.10.10
>            Reporter: Alexander Sorokin
>            Assignee: Alexander Sorokin
>              Labels: found-by-ci, triaged
>
> When trying to install android platform on top of the plugin with the following line
in its `plugin.xml`
> {noformat}
> <dependency id="cordova-plugin-device" url="https://github.com/apache/cordova-plugin-device"
/>
> {noformat}
> Getting the following error:
> {noformat}
> Installing "cordova-plugin-geolocation-tests" for ios
> Failed to install 'cordova-plugin-geolocation-tests': CordovaError: Version of installed
plugin: "cordova-plugin-device@1.1.6-dev" does not satisfy dependency plugin requirement "cordova-plugin-device@".
Try --force to use installed plugin as dependency.
>     at /Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/src/plugman/install.js:575:33
>     at _fulfilled (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:787:54)
>     at self.promiseDispatch.done (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:816:30)
>     at Promise.promise.promiseDispatch (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:749:13)
>     at /Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:509:49
>     at flush (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:108:17)
>     at nextTickCallbackWith0Args (node.js:420:9)
>     at process._tickCallback (node.js:349:13)
> Error: Version of installed plugin: "cordova-plugin-device@1.1.6-dev" does not satisfy
dependency plugin requirement "cordova-plugin-device@". Try --force to use installed plugin
as dependency.
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message